Page MenuHomePhabricator

Define the Technical Collaboration team strategy
Closed, ResolvedPublic

Description

Community-Relations-Support and Developer-Advocacy will coordinate their strategy. We need to contribute our part to the Wikimedia Foundation Strategy.

We are doing this at https://meta.wikimedia.org/wiki/Technical_Collaboration/Strategy

Completing this task requires many steps that will be documented here.

Timeline

We will try to align our teams' strategy with the WMF Strategy 2016 process, which has this calendar for a first iteration:

  • January 11: Put up pages for translation (done)
  • January 18: Launch of community consultation on key questions
  • February 15: Close of consultation
  • By February 26: Release synthesis of consultation
  • By March 4: Publish first draft strategy for comment

The goal of this first iteration is to inform the WMF Annual Plan FY 2016-17. In a similar vein, our teams' strategy should inform our annual plan. Needless to say, our strategy should be consistent also with the WMF Strategy. We cannot define these plans independently from each other.

In the way the calendars for strategy and annual plan work, we cannot complete the strategy before starting the annual plan. Even if sometimes it will be counterintuitive, we will need to make several iterations and some assumptions along the way.

Once we complete this first iteration, we will decide whether we want to keep polishing the strategy immediately, or whether we set it aside in order to focus on other tasks and come back to it later.

Steps

There are many ways to define a strategy for a team (and many books about this topic, if someone is interested). In our case we will go for a process that puts the focus on simplicity and iterations. This method is extracted and adapted from Playing to win, a book that other teams at the WMF are finding useful.

We need to answer five questions:

What is our aspiration?

The purpose of our team. Our guiding aspiration.

Where will we play?

Which areas do we choose to play?

How will we succeed?

What are the strengths that we will use ?

What capabilities must be in place?

What skills and activities must exist?

What management systems are required?

What type of processes and organization support we need?

A first iterations answering a question probably requires further iterations in the other answers. Note that choices are important: by deciding where we play we are also deciding where we are not going to play, etc.

Since we don't have much time, maybe we can aim to find a first version of an answer to each question every week. Five questions, five weeks.

Event Timeline

Qgil created this task.Jan 19 2016, 10:18 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2016, 10:18 AM
Qgil moved this task from Backlog to Doing on the Liaisons-January-2016 board.Jan 26 2016, 7:10 AM
Qgil updated the task description. (Show Details)Jan 27 2016, 7:00 PM
Qgil set Security to None.
Elitre added a subscriber: Elitre.Jan 27 2016, 7:08 PM
Qgil raised the priority of this task from Normal to High.Jan 28 2016, 9:14 AM
Qgil moved this task from Backlog to Doing on the Liaisons-February-2016 board.Feb 2 2016, 1:47 PM
Qgil renamed this task from Define the Community Liaisons and Developer Relations strategy to Define the Technical Collaboration team strategy.Feb 16 2016, 12:17 PM
Qgil added a comment.Mar 7 2016, 9:43 PM

There is a first draft of the WMF strategy at https://meta.wikimedia.org/wiki/2016_Strategy/Draft_WMF_Strategy

I haven't got time to read it yet, but all in all it looks like we are pointing to similar / complementary / not incompatible directions with our Technical Collaboration strategy.

Qgil closed this task as Resolved.Apr 1 2016, 2:12 PM

https://meta.wikimedia.org/wiki/Technical_Collaboration/Strategy#Processes has been published, and with this the first iteration of this strategy is now complete.